using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using CG67.FicheCollege.Domaine;
using CG67.FicheCollege.Interface;

namespace CG67.FicheCollege.Entrepot
{
    public class EntrepotProjetPilote : EntrepotBase, IEntrepotProjetPilote
    {
        public IList<ProjetPilote> GetByCodeRNEAndAnnee(string codeRNE, int annee)
        {
            IList<ProjetPilote> resultat = new List<ProjetPilote>();
            using (SqlConnection connexion = new SqlConnection(this.ChaineDeConnexion))
            {
                try
                {
                    connexion.Open();
                    using (SqlCommand command = connexion.CreateCommand())
                    {
                        command.CommandText = "SELECT Libelle,participer from ProjetPilote INNER JOIN Etablissement_ProjetPilote ON (ProjetPilote.Id = Etablissement_ProjetPilote.IdProjetPilote) WHERE CodeRNE = @RNE  AND Annee = @Annee";
//                        command.CommandText = "SELECT Libelle from ProjetPilote INNER JOIN Etablissement_ProjetPilote ON (ProjetPilote.Id = Etablissement_ProjetPilote.IdProjetPilote) WHERE CodeRNE = @RNE AND Annee = @Annee";
                        command.Parameters.AddWithValue("@RNE", codeRNE);
                        command.Parameters.AddWithValue("@Annee", annee);
                        using (SqlDataReader dr = command.ExecuteReader())
                        {
                            while (dr.Read())
                            {
                                resultat.Add(new ProjetPilote(dr["Libelle"].ToString(), dr.GetBoolean(dr.GetOrdinal("participer"))));
                            }
                        }
                    }
                }
                catch (Exception erreurInterne)
                {
                    throw new Exception(" " + erreurInterne);
                }
                finally
                {
                    if (connexion.State == ConnectionState.Open)
                        connexion.Close();
                }
            }
            return resultat;
        }
    }
}
